Bug 867849 - webadmin: remove of disk during vdsm restart returns unclear event in event log
webadmin: remove of disk during vdsm restart returns unclear event in event log
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Liron Aravot
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 08:16 EDT by Dafna Ron
Modified: 2016-02-10 12:48 EST (History)
9 users (show)

See Also:
Fixed In Version: SF6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (216.05 KB, application/x-gzip)
2012-10-18 08:16 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10614 None None None Never

  None (edit)
Description Dafna Ron 2012-10-18 08:16:08 EDT
Created attachment 629334 [details]
logs

Description of problem:

I removed a disk and restarted vdsm. 
event log is reporting the following error:

User admin@internal finished to remove the disk vvvv with failure from domain Dafna-si21-01

I do not think that this error is very clear. it seems like two events are reported as one and its unclear what exactly happened. 

from this error I understood that there was some sort of failure in the remove disk and not sure what that means. do we have any ramifications that I, as user need to take care of?

Version-Release number of selected component (if applicable):

si21

How reproducible:

100%

Steps to Reproduce:
1. create a floating disk
2. remove it and restart vdsm 
3.
  
Actual results:
 unclear error in event log
User admin@internal finished to remove the disk vvvv with failure from domain Dafna-si21-01

Expected results:

report that there was a failure in storage but that the disk was successfully removed any way and change status of message as warn not error. 


Additional info:logs
Comment 1 Liron Aravot 2013-01-03 09:43:05 EST
merged 

http://gerrit.ovirt.org/#/c/10614/
Comment 2 Leonid Natapov 2013-02-12 12:06:50 EST
fixed in sf6.
Comment 3 Itamar Heim 2013-06-11 04:55:44 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 04:55:44 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:55:59 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:58:31 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:28:02 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.